#ifndef HITTABLE_H
#define HITTABLE_H

#include "ray.h"

class hit_record {
public:
  Point3 p;
  Vec3 normal;
  double t;
};

class hittable {
public:
  virtual ~hittable() = default;

  virtual bool hit(const Ray &r, interval ray_t, hit_record &rec) const = 0;
};

#endif
